<?php 
/**
 * Este es el formulario de Creacion/modificacion de usuarios
 */
class FRMUsuario extends AppFormulario
{
	protected $_url_traseditar='/usuarios/listado';
	
    /**
     * init() hereda de AppForm
     */
	public function init()
	{
		parent::init();
		 
		
		$this->setAction('/usuarios/editar/id/'.$this->getObjeto()->id);
		
		
		
		
		$nombre = new EFTexto('nombre');
		$nombre->setLabel('Nombre:');
		$this->addElement($nombre);
		
		$alias = new EFTexto('alias');
		$alias->setLabel('Alias:');
		$this->addElement($alias);
		if(!$this->getObjeto()->id){
			$clave = new EFClave('clave');
			$clave->setLabel('Clave:');
			$this->addElement($clave);
		}
		
		$email = new EFTexto('email');
		$email->setLabel('Email:');
		$this->addElement($email);
		
		
		$perfiles = new EFMultiCheckbox( 'perfiles',array ( 'disableLoadDefaultDecorators' =>true ) );
		//$perfiles->setName( 'perfil' );
		
		$perfiles->setLabel( 'Perfiles:' );
		$perfiles->addMultiOptions(Perfil::loadSelect());
		$this->addElement($perfiles);
		
		
		//Boton Submit
		$submit = new EFSubmit('guardar');
		$submit->setValue('Guardar');
		
		
		
		$this->addElement($submit);
		
		
		
	
		
	
		
	
	}
	
	public function __construct(Usuario $objeto, $options = null){
		$this->setObjeto($objeto);
		parent::__construct($options);
		
	}}